<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * ダウンロード販売ファイル アップローダ確認
 *
 * @package     Admin.Itemmanage.Download.Upload.Confirm
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Admin_Itemmanage_Download_Upload_Confirm
{
    
    // コンポーネント
    var $actionChain;
    var $db_down;
    var $fileUpload;
    
    // タイトル
    var $title;
    var $pagename;
    
    // in 
    var $itemcd;
    var $structcd;
    var $updcnt;
//    var $downfile;
    
    // out
    var $result;
    
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Download_Upload_Confirmが実行されました", "Admin_Itemmanage_Download_Upload_Confirm#execute");

        // キャッシュフォルダにアップロード(仮登録)
        $originalName = $this->fileUpload->getOriginalName();
//        $mimeType     = $this->fileUpload->getMimeType();
//        $filesize     = $this->fileUpload->getFilesize();

        if (isset($originalName[0]) && $originalName[0]) {
            $pathinfo = pathInfo($originalName[0]);
            $extension = $pathinfo['extension'];

            $filenm = $this->itemcd .'_'. $this->structcd .'.'. $pathinfo['extension'];
            
            $dest = IMAGE_WORKDIR ."/". $filenm;
            $this->fileUpload->move(0, $dest);
            
            return "success";
        } else { 
            return "success";
        }
        
        
    }
}
?>
